LibreOffice: CellAreaLink Service Reference

LibreOffice LibreOffice 7.6 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | Public Attributes | List of all members
CellAreaLink Service Referencepublished

represents a linked cell range. More...

Inheritance diagram for CellAreaLink:

## Exported Interfaces
interface | com::sun::star::sheet::XAreaLink
| provides methods to change the settings of the linked cell range.
interface | com::sun::star::util::XRefreshable
| provides methods to reload the external data.
interface | com::sun::star::beans::XPropertySet
| published service PropertySet

## Public Attributes
string | Url
| specifies the URL of the source document.
string | Filter
| specifies the name of the filter used to load the source document.
string | FilterOptions
| specifies the filter options needed to load the source document.
long | RefreshDelay
| specifies the delay time between two refresh actions in seconds.
long | RefreshPeriod
| specifies the time between two refresh actions in seconds.

## Additional Inherited Members
Public Member Functions inherited from XAreaLink
string | getSourceArea ()
| returns the source of the range within the source document.
void | setSourceArea ([in] string aSourceArea)
| sets the source of the range within the source document.
com::sun::star::table::CellRangeAddress | getDestArea ()
| returns the position of the linked range in the destination document.
void | setDestArea ([in] com::sun::star::table::CellRangeAddress aDestArea)
| sets the position of the linked range in the destination document.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XRefreshable
void | refresh ()
| refreshes the data of the object from the connected data source.
void | addRefreshListener ([in] com::sun::star::util::XRefreshListener l)
| adds the specified listener to receive the event "refreshed."
void | removeRefreshListener ([in] com::sun::star::util::XRefreshListener l)
| removes the specified listener.
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.

## Detailed Description

represents a linked cell range.

A linked cell range is a range which is linked to an equal-sized range in an external document. The contents of the external range is copied into the range of this document.

See also
  com::sun::star::sheet::CellAreaLinks

## Exported Interfaces

## ◆ com::sun::star::beans::XPropertySet

interface com::sun::star::beans::XPropertySet

published service PropertySet

provides access to the properties.

## ◆ com::sun::star::sheet::XAreaLink

interface com::sun::star::sheet::XAreaLink

provides methods to change the settings of the linked cell range.

## ◆ com::sun::star::util::XRefreshable

interface com::sun::star::util::XRefreshable

provides methods to reload the external data.

## Member Data Documentation

## ◆ Filter

string Filter
| property

specifies the name of the filter used to load the source document.

## ◆ FilterOptions

string FilterOptions
| property

specifies the filter options needed to load the source document.

## ◆ RefreshDelay

long RefreshDelay
| property

specifies the delay time between two refresh actions in seconds.

Deprecated:

## ◆ RefreshPeriod

long RefreshPeriod
| optionalproperty

specifies the time between two refresh actions in seconds.

Since
  OOo 2.0

## ◆ Url

string Url
| property

specifies the URL of the source document.

The documentation for this service was generated from the following file:

- com/sun/star/sheet/CellAreaLink.idl